Subject: Re: [PATCH] make: add install-strip target

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Aug 2021 12:42:55 -0700

Johannes Schindelin <[email-masked]> writes:

> That would work, too. At the same time: wouldn't it be nicer to let `make
> -j15 strip install` Do The Right Thing?

Oh, absolutely.  With "make all install" and "make strip install",
building (and optional stripping) should complete before the
"install" target kicks in.

It may be a bit tricky to implement, though.  Making 'install'
depend unconditionally on 'all' is trivial, but we want it to depend
on 'strip' only when 'strip' is part of the targets requested.